#if !defined(MAP_H)
#define MAP_H

#include "Zone.h"

/****************************************************************************/
/** \class Map
    \brief Container fuer die Map
*****************************************************************************/
class Map  
{
protected:
	Map();

public:
   std::vector<Zone*> zoneList;

private:
   static Map* _instance;
   char m_mapfile[255];

public:
   static Map* getInstance();
	virtual ~Map();

   void calcAnimation();
   void calcLightMapGrid();
   void calcLightMap();

   void dump();

private:
   void addTile(Tile* tile);
};
#endif // !defined(MAP_H)
